---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/03_Panorama/Animations/bg_layers/"
---------------------------------------------------------------------------------------
createComposition2 = nil
createCompositionwater2 = nil
createCompositionLight = nil
---------------------------------------------------------------------------------------
createComposition2 = function()
	local composition1 = CreateCompositionSequence()
	local compositionDuration = 8
	composition1:setDuration(compositionDuration)
	composition1:setName("composition2" )
	composition1:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer water2/1
	element = createCompositionwater2()
	element:setName("water2/1")
	composition1:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(composition1)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()

	composition1:play()
 
	return composition1
end
 
createCompositionwater2 = function()
	local compositionwater2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionwater2:setDuration(compositionDuration)
	compositionwater2:setName("compositionwater2" )
	compositionwater2:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer water_cycLitle_[00000-00011].png/1
	element = CreateCompositionElement(PREFIX_PATH.."water_cycLitle_[].png")
	element:setName("water_cycLitle_[00000-00011].png/1")
	compositionwater2:addElement(element)
	element:setHotSpot(26, 40)
	element:setParentElement(compositionwater2)
	element:setXY(1208.5, 420)
 
	element:setScale(0.63442720889785,1.6055118449657)
	element:setRotationRad(-0.1919862175)
					local anim = element
					anim:setAnimationSize(52,80)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water_cycLitle_[00000-00011].png/2
	element = CreateCompositionElement(PREFIX_PATH.."water_cycLitle_[].png")
	element:setName("water_cycLitle_[00000-00011].png/2")
	compositionwater2:addElement(element)
	element:setHotSpot(26, 40)
	element:setParentElement(compositionwater2)
	element:setXY(1208.5, 425)
 
	element:setScale(-0.60431417776291,1.75695552184511)
	element:setRotationRad(0.20943951)
					local anim = element
					anim:setAnimationSize(52,80)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionwater2:play()
 
	return compositionwater2
end